/* eMac for Enlightenment 0.16.x
 *
 * Author: Jon Rista
 * File: actionclasses.cfg
 * Modified: 11/7/99
 *
 */

#include <definitions>
__E_CFG_VERSION 0

/* Base Action class */
/* __ACLASS __BGN
  __NAME ACTION_BUTTON_DRAG
  __TOOLTIP_TEXT "Click and drag to move desktop"
  __TOOLTIP_TEXT "(on any desktop but desktop 0)"
  __TYPE __TYPE_NORMAL
  __ALLOW_ANY_BUTTON __ON
  __ALLOW_ANY_MODIFIER_KEYS __ON
  __ALLOW_ANY_KEY __ON
  __EVENT __MOUSE_PRESS
  __ACTION __A_DRAG_BUTTON
__END */

/***************************************************************
* MacBar Actions 
*/

__ACLASS __BGN
  __NAME A_MACBAR_GENERAL

  __TOOLTIP_TEXT "The MacBar. Double-Click to hide."

  __TYPE __TYPE_NORMAL
  __ALLOW_ANY_MODIFIER_KEYS __ON
  __ALLOW_ANY_BUTTON __ON
  __EVENT __DOUBLE_CLICK
/*	  __ACTION __A_HIDESHOW_BUTTON buttons B_MAC_BAR_* */
__END /* A_MACBAR_GENERAL */

__ACLASS __BGN
  __NAME A_MACBAR_APPLEMENU

  __TOOLTIP_TEXT "Apple Menu -"
  __TOOLTIP_TEXT "  Left Button: Show Apple Menu"

  __TYPE __TYPE_NORMAL	
  __ALLOW_ANY_MODIFIER_KEYS __ON
	
  __EVENT __MOUSE_PRESS
  __BUTTON 1
  __ACTION __A_SHOW_MENU "named APPLE_MENU"
  __NEXT_ACTION
  __EVENT __MOUSE_PRESS
  __BUTTON 3
  __ACTION __A_SHOW_MENU "named ROOT_2"  
__END /* A_MACBAR_APPLEMENU */

__ACLASS __BGN
  __NAME A_MACBAR_CONFIG

  __TYPE __TYPE_NORMAL	
  __ALLOW_ANY_MODIFIER_KEYS __ON
  __ALLOW_ANY_BUTTON __ON

  __EVENT __MOUSE_PRESS
  __ACTION __A_SHOW_MENU "named CONFIG_SUBMENU"
__END /* A_MACBAR_CONFIG */

__ACLASS __BGN
  __NAME A_MACBAR_SPECIAL
	
  __TYPE __TYPE_NORMAL	
  __ALLOW_ANY_MODIFIER_KEYS __ON
  __ALLOW_ANY_BUTTON __ON

  __EVENT __MOUSE_PRESS
  __ACTION __A_SHOW_MENU "named SPECIAL_MACMENU"
__END /* A_MACBAR_CONFIG */

__ACLASS __BGN
  __NAME A_MACBAR_HELP

  __TYPE __TYPE_NORMAL	
  __ALLOW_ANY_MODIFIER_KEYS __ON
  __ALLOW_ANY_BUTTON __ON

  __EVENT __MOUSE_PRESS
  __ACTION __A_SHOW_MENU "named HELP_MACMENU"
__END /* A_MACBAR_HELP */

__ACLASS __BGN
  __NAME A_MACBAR_TASKLIST

  __TOOLTIP_TEXT "Task List - (Not Fully Implemented)"
  __TOOLTIP_TEXT "  Left Button: Show Task List"
  __TOOLTIP_TEXT "  Right Button: Show eMac Menu"

  __TYPE __TYPE_NORMAL
  __ALLOW_ANY_MODIFIER_KEYS __ON

  __EVENT __MOUSE_PRESS
  __BUTTON 1
  __ACTION __A_SHOW_MENU taskmenu
  __NEXT_ACTION
  __EVENT __MOUSE_PRESS
  __BUTTON 3
  __ACTION __A_SHOW_MENU "named TASK_MACMENU"	
__END /* A_MACBAR_TASKLIST */

/**********************************************************************************************/


__ACLASS __BGN
  __NAME ACTION_GOTO_DESK_NEXT
  __TOOLTIP_TEXT "Go to the next Desktop."
  __TYPE __TYPE_NORMAL
  __ALLOW_ANY_BUTTON __ON
  __ALLOW_ANY_MODIFIER_KEYS __ON
  __EVENT __MOUSE_RELEASE
  __ACTION __A_DESKTOP_NEXT
__END

__ACLASS __BGN
  __NAME ACTION_GOTO_DESK_PREV
  __TOOLTIP_TEXT "Go to the previous Desktop."
  __TYPE __TYPE_NORMAL
  __ALLOW_ANY_BUTTON __ON
  __ALLOW_ANY_MODIFIER_KEYS __ON
  __EVENT __MOUSE_RELEASE
  __ACTION __A_DESKTOP_PREV
__END

/* Actionclesses for window parts */
__ACLASS __BGN
  __NAME ACTION_MOVE  
  
  __TOOLTIP_TEXT "Left Button: Drag to move this Window. Double click to collapse."
  __TOOLTIP_TEXT "Right Button: Click for window operations menu."

  __ALLOW_ANY_MODIFIER_KEYS __ON
  __TYPE __TYPE_NORMAL
  
  __EVENT __MOUSE_PRESS
    __BUTTON 1
    __ACTION __A_MOVE
    __NEXT_ACTION
  __EVENT __MOUSE_PRESS
    __BUTTON 3
    __ACTION __A_SHOW_MENU "named WINOPS_MENU"
    __NEXT_ACTION
  __EVENT __DOUBLE_CLICK
    __ALLOW_ANY_BUTTON __ON
    __ACTION __A_SHADE
__END

__ACLASS __BGN
  __NAME ACTION_MOVE2  
  
  __TOOLTIP_TEXT "Left Button: Drag to move this Window."
  
  __ALLOW_ANY_MODIFIER_KEYS __ON
  __ALLOW_ANY_BUTTON __ON
  __TYPE __TYPE_NORMAL
  
  __EVENT __MOUSE_PRESS
    __ACTION __A_MOVE
    __NEXT_ACTION
__END

__ACLASS __BGN
  __NAME ACTION_RESIZE  
  
  __TOOLTIP_TEXT "Left Button: Drag to scale window."
  __TOOLTIP_TEXT "Right Button: Drag to move window."

  __TYPE __TYPE_NORMAL
  
  __EVENT __MOUSE_PRESS
    __ALLOW_ANY_MODIFIER_KEYS __ON
    __BUTTON 1
    __ACTION __A_RESIZE
    __NEXT_ACTION
    __BUTTON 3
    __ACTION __A_MOVE
__END

__ACLASS __BGN
  __NAME ACTION_RESIZE_H  
  
  __TOOLTIP_TEXT "Left Button: Drag to scale window horizontaly."
  __TOOLTIP_TEXT "Right Button: Drag to move window."
 
  
  __TYPE __TYPE_NORMAL
  
  __EVENT __MOUSE_PRESS
    __ALLOW_ANY_MODIFIER_KEYS __ON
    __BUTTON 1
    __ACTION __A_RESIZE_H
    __NEXT_ACTION
    __BUTTON 3
    __ACTION __A_MOVE
__END

__ACLASS __BGN
  __NAME ACTION_RESIZE_V
  
  __TOOLTIP_TEXT "Left Button: Drag to scale window vertically."
  __TOOLTIP_TEXT "Right Button: Drag to move window."  
  
  __TYPE __TYPE_NORMAL
  
  __EVENT __MOUSE_PRESS
    __ALLOW_ANY_MODIFIER_KEYS __ON
    __BUTTON 1
    __ACTION __A_RESIZE_V
    __NEXT_ACTION
    __BUTTON 3
    __ACTION __A_MOVE
__END

__ACLASS __BGN
  __NAME ACTION_KILL
  
  __TOOLTIP_TEXT "Left Button: Click to close window."
  __TOOLTIP_TEXT "Right Button: Click to forcibly close window."  
  
  __TYPE __TYPE_NORMAL
  
  __EVENT __MOUSE_RELEASE
    __ALLOW_ANY_MODIFIER_KEYS __ON
    __BUTTON 1
    __ACTION __A_KILL
    __NEXT_ACTION
    __BUTTON 3
    __ACTION __A_KILL_NASTY
__END

__ACLASS __BGN
  __NAME ACTION_MAX
  
  __TOOLTIP_TEXT "Left Button: Click to maximize/restore window."
  __TOOLTIP_TEXT "Middle Button: Click to maximize height of window."
  __TOOLTIP_TEXT "Right Button: Click to maximize width of window."

  
  __TYPE __TYPE_NORMAL
  
  __EVENT __MOUSE_RELEASE
    __ALLOW_ANY_MODIFIER_KEYS __ON
    __BUTTON 1
    __ACTION __A_MAX_SIZE
    __NEXT_ACTION
    __BUTTON 2
    __ACTION __A_MAX_HEIGHT
    __NEXT_ACTION
    __BUTTON 3
    __ACTION __A_MAX_WIDTH
__END

__ACLASS __BGN
  __NAME ACTION_SHADE
  
  __TOOLTIP_TEXT "Left Button: Click to collapse window."
  __TOOLTIP_TEXT "Middle Button: Click to stick/unstick window."
  __TOOLTIP_TEXT "Right Button: Click to iconify window."
  
  __TYPE __TYPE_NORMAL
  
  __EVENT __MOUSE_RELEASE
    __BUTTON 1
    __ACTION __A_SHADE
    __NEXT_ACTION
    __BUTTON 2
    __ACTION __A_STICK
    __NEXT_ACTION
    __BUTTON 3
    __ACTION __A_ICONIFY
__END

__ACLASS __BGN
  __NAME ACTION_SHADE_ONLY
  
  __TOOLTIP_TEXT "Left Button: Click to collapse window."
  __TOOLTIP_TEXT "Middle Button: Click to stick/unstick window."
  __TOOLTIP_TEXT "Right Button: Click to iconify window."
  
  __TYPE __TYPE_NORMAL
  
  __ALLOW_ANY_BUTTON __ON
  
  __EVENT __MOUSE_RELEASE
    __ACTION __A_SHADE
__END

__ACLASS __BGN
  __NAME ACTION_RAISE
  __TOOLTIP_TEXT "Click on this button to raise this window to the top."
  __TYPE __TYPE_NORMAL
  __EVENT __MOUSE_RELEASE
  __ALLOW_ANY_MODIFIER_KEYS __ON
  __ALLOW_ANY_BUTTON __ON
  __ACTION __A_RAISE
__END

/* End Actionclasses for window parts */
